FREEVIMAGER HISTORY

9.9.27 (December 11th 2025)

- Increase max allowed image width or height to 32767 pixels
- Fix "Send by Email" so that it works when images have the same name

9.9.26 (June 18th 2025)

- Resolved rare issues with GIF files opening and saving
- Updated the avir library to version 3.1
- Show used compiler version in About dialog
- Refinement of the Chinese translation quality 
  (thanks to lifansama@gmail.com)

9.9.25 (March 10th 2025)

- Japanese translation (thanks to coolvitto)

9.9.24 (October 21st 2024)

- No changes (be in sync with ContaCam version)

9.9.23 (December 11th 2023)

- Possibility to change the tabs order by dragging them
- Fixed "Invalid crop request" error happening for some odd sized jpegs
- Horizontal scroll support for Logitech MX Master, Logitech MX Anywhere, 
  Logitech G502 Lightspeed, ...

9.9.22 (May 16th 2022)

- Improved file header safety checks
- Fixed the .png saving which sometimes could fail
- Correctly handle top-down .bmp files
- For zoomed-in images the crop rectangle starts within the view
- Lossless crop is now the default for unmodified jpeg files
- In Windows 11 our "Global Settings" - "Associate" button opens now the
  "Default apps" page where file extensions can be associated to us

9.9.21 (March 22nd 2022)

- More robust ICC profiles parser to avoid crashes with some buggy files
- Updated icclib to 2.16
- Fixed ICC profile display bug introduced with 5.0.5

9.9.20 (December 7th 2021)

- Better clipboard support for images with transparency
- Updated the avir library to version 3.0

9.9.19 (August 25th 2021)

- Added a clear recent file list command
- Added magnetic/snapping borders to the picture windows
- Dropped Windows Vista and Windows Server 2008 support

9.9.18 (June 8th 2021)

- Updated the avir library to version 2.9
- Solved an issues introduced in 9.9.7 which displayed the color 
  buttons and the color picker pop-up with an old classic style
- Removed the crop rectangular selection possibility because it was
  often activated by error when clicking outside the crop handles

9.9.17 (April 18th 2021)

- We have got a code signing certificate

9.9.16 (April 1st 2021)

- Higher priority for CopyTrans .heic decoder because the Microsoft Heif
  may not be able to open the file if HEVC Video Extensions is missing
- Enabled Address Space Layout Randomization (ASLR) with /DYNAMICBASE

9.9.15 (February 15th 2021)

- In print preview we can now scale the image with the mouse wheel
- High DPI aware crop tool
  
9.9.14 (January 4th 2021)

- No changes (be in sync with ContaCam version)

9.9.13 (January 4th 2021)

- Shortcut files (.lnk files) are now correctly opened
- Possibility to paste an image copied in Windows File Explorer
- Added F1 key for "Online Help"

9.9.12 (November 17th 2020)

- Trim leading/trailing spaces for entered donation email address

9.9.11 (October 11th 2020)

- Added viewing support for .heic, .webp, .avif and .jxr files
- Correctly displaying exif ISO equivalent values smaller than 50
- Updated the avir library to version 2.6

9.9.10 (August 2nd 2020)

- Always open images with zoom level Fit or Fit Big
- File formats like .png and .gif can store a background color which is
  used to render the images. When watching pictures one after the other 
  a fixed background color may be preferred. That's now possible with 
  the "Lock Background Color" option found in View menu 
- More robust exif metadata reader, for some corrupted jpeg files
  the program could crash
- Solved a Color Picker display bug (thanks to Veksha for helping)
- Updated the avir library to version 2.5

9.9.9 (May 2nd 2020)

- The full path shown in titlebar is shortened to fit the system 
  given maximum titlebar text size of 159 characters
- Fluid and constant speed when quickly forwarding several images
- Zoom ComboBox working now correctly when a slideshow plays
- Background color toolbar button high DPI and high contrast aware
- Fixed scrolling for big images and big zoom factors

9.9.8 (February 20th 2020)

- Showing the full path in titlebar
- File/directory dialogs open now the folder of the active image
- Fixed statusbar for high dpi devices

9.9.7 (January 30th 2020)

- Supporting high DPI aware NSIS 3 (Nullsoft Scriptable Install System)

9.9.5 (December 19th 2019)

- Bottom toolbar color popup must not cover its own button

9.9.3 (November 22nd 2019)

- Increased a security check limit which prevented loading
  big .png images

9.9.1 (October 10th 2019)

- No changes (be in sync with ContaCam version)

9.9.0 (October 8th 2019)

- Better support for high contrast themes
- Support for .jfif graphics files
- Updated installer with an improved closing logic for multiple 
  running instances of FreeVimager
- Fixed a bug which in some circumstances blocked the display of
  a good image placed near a corrupted one
- Updated the avir library to version 2.4

9.7.0 (June 19th 2019)

- Improved languages support

9.5.0 (April 19th 2019)

- Small fixes

9.0.9 (February 18th 2019)

- New temperature, humidity, pressure and water depth exif tags
- Updated the AVIR library to version 2.2

9.0.7 (December 27th 2018)

- Updated the AVIR library to version 2.1
- Fixed dialog positioning when the secondary monitor is to the
  left of the primary monitor

9.0.5 (November 7th 2018)

- Building the application with LARGEADDRESSAWARE set to have up to
  the double of address space

9.0.3 (October 1st 2018)

- Updated Tabs and bottom-right popup Message Box fonts

9.0.1 (September 19th 2018)

- Translations done

9.0.0 (September 9th 2018)

- FreeVimager is now DONATIONWARE
- Document tabs have got a close button
- User interface clean up
- Using better random generators
- libpng updated to 1.2.59

7.7.0 (February 18th 2018)

- Bigger close buttons for dialogs (handy for tablets)
- Replaced menu circles with check marks

7.5.0 (October 18th 2017)

- Better brightness, contrast, saturation and hue adjustment
  (the Ansel Adams Zone System Histogram has been removed
  because of incompatibility)
- Tabbed document interface (TDI)
- Dropped Windows XP and Windows 2003 support (ReactOS support has
  also been dropped because it only implements the Windows 2003 API)

7.0.0 (May 13th 2017)

- Small fixes

5.5.0 (February 18th 2017)

- libpng updated to 1.2.57
- Fixed memory leak of CRT threads under Windows XP

5.3.0 (November 18th 2016)

- Using the AVIR image resizing algorithm designed by Aleksey Vaneev
  
5.1.0 (September 20th 2016)

- Made the application High DPI Aware (displays well on 4K monitors)
- File association is now Windows 10 compliant: the user must
  confirm the associations in an OS dialog opened from the
  FreeVimager Global Settings dialog
- Compiling with Visual Studio 2015 (FreeVimager runs on
  Windows XP SP3 / Windows Server 2003 SP2 or higher)

5.0.9 (June 25th 2016)

- Enhanced the Sharpen dialog by using the unsharp mask method

5.0.7 (May 9th 2016)

- Bigger toolbar buttons
- Fixed the recognition of the email client used to send pictures
- Using UTF-8 encoding for JPEG/JFIF COM comment sections
- Using UTF-8 encoding for GIF comments

5.0.5 (January 8th 2016)

- When sorting in Batch Processing dialog if the Date Taken doesn't
  exist use the oldest between Date Created and Date Modified
- Added crash dump support and verbose diagnostic logging
- libpng updated to 1.2.56

5.0.3 (November 18th 2015)

- Jpeg loading is more fault tolerant: ignore missing SOI marker 
- Show/hide commands for Statusbar and Toolbars
- Removed fullscreen only slideshow mode as CD/DVD slideshows
  are from the old days
- Removed audio file opening support as we are a graphics viewer
  and not an audio player

5.0.1 (October 3rd 2015)

- Small enhancements and fixes
- Full Vietnamese language support (thanks to toan.nguyenk@gmail.com)

5.0.0 (May 19th 2015)

- Silently open all supported image types with wrong file extension
  and when changes are saved the file content is converted to match
  the file extension (thanks to Oleg A. Glushko which convinced me
  to implement a solution for the wrong file extension problem)
- Fixed the "Server Busy" error message popping-up while scanning
- libpng updated to 1.2.52
- Removed avi player as there are many modern players out there
- Removed outdated audio CD player (cda file extension)
- Removed zip file opening support as we are a graphics viewer
  and not an archiver

4.9.9 (November 3rd 2014)

- Dropped DirectX (IDirectDraw7) drawing support because it is
  obsolete and poses stability and in some cases even memory leaks
  problems on Windows 8/8.1
- Avi player has now an AAC codec
- Licensed under GNU GENERAL PUBLIC LICENSE Version 3

4.9.7 (August 25th 2014)

- Faster transition to full-sized jpeg image
- High Quality Stretch enabled by default
- libpng updated to 1.2.51
- icclib updated to 2.14
- Simplified video encoding settings by removing the bitrate
  parameter and dropped vorbis, flac and mp2 audio encoding support
- In installation folder there is a new MasterConfig.ini file
  which determines the configuration files location, the temporary
  folder location and whether to use the registry or an ini file
  
4.9.5 (March 24th 2014)

- Touch screen gesture support for print preview (pan & zoom)
- In print preview the images are now correctly closed with
  File - Close or when pressing the view's [X] button
- Slideshow settings are now stored in a simple .ini file
  instead of the more complicated .xml file
- In Batch Processing dialog update thumbs when sorting columns
  
4.9.0 (November 19th 2013)

- Updated touch screen gestures support for Windows 8 and added
  next/previous tiff page/gif frame gestures (swipe up or down)
- FreeVimager opens now all numeric extensions as tiff files
  because some fax/scan devices/programs highlight the pages
  count in the extension (.001, .002, .003, ...)
- First version especially optimized for Windows XP SP2 and higher
- Dropped support for theora encoding because many modern
  players are not able to play avi files encoded in such a way
  
4.7.0 (May 30th 2013)

- Last version with Win95, Win98, NT4, WinMe and Win2000 support
- The crop tool permits now precise selections through the
  arrow keys (use the tab key to switch crop handle)

4.5.0 (May 14th 2013)

- The generated pdfs are now smaller and compatible with all
  current viewers (solved wrong color display issue of
  Nitro Pdf Reader and some mobile pdf viewers)
- Files sorting and viewing is now done like in Windows
  Explorer (1.jpg, 2.jpg .. 10.jpg, 11.jpg, 12.jpg)

4.3.0 (February 12th 2013)

- New image Reload (from disk) command
- Changed command accelerators to be more translation friendly
- Removed Burning with Nero support (the Microsoft Windows
  burning API works well since Windows XP)
- Removed OCR txt batch output support because it needed
  the Microsoft Office MODI component

4.1.0 (December 4th 2012)

- Fixed wrong parsing of dpi value for some type of jpeg files
  (thanks to Nicolai Ehemann for reporting the problem)

4.0.9 (November 11th 2012)

- Save As Pdf stores now all high resolution bit depths with jpeg
  compression (8bpp grayscale, 16bpp, 24bpp and higher -> jpeg)
- Removed single pages save when tiff multi-page scanning because
  since version 4.0.5 there is the lossless extract all pages
  command if somebody wants the single tiff pages

4.0.7 (November 1st 2012)

- New Scan and Email toolbar button
- New Screenshot toolbar button
- Small fixes

4.0.5 (August 27th 2012)

- Possibility to extract all pages from a multi-page tiff file

4.0.3 (August 9th 2012)

- More productive working because less dialogs are popping-up
  when saving files and scanning to PDF
  (the save as dialogs have now a jpeg quality slider)
- ESC key always exits the program if set so in Global Settings
- Icons update
- Email button pops-up the open file dialog if no documents open;
  fixed emailing of two or more files with the same name
- 2pass log file is not overwritten if encoding at the same
  time two or more videos with the same destination file name
  (obviously to different directories)
- Fixed uniqueness of temporary subdirectories

4.0.1 (July 10th 2012)

- Fixed uniqueness of temporary files

4.0.0 (June 15th 2012)

- If file to open through command line (double-clicking on it)
  is empty or not existing paste the clipboard into it;
  if nothing in clipboard make it a 1x1 image
- libpng updated to 1.2.49

3.9.9 (May 1st 2012)

- Beside the multi-page file the Scan to Tiff command
  saves now also the single pages in separate files 
- New toolbar button for Scan to Tiff and for Email
- When Scan to Tiff or Scan to Pdf dialogs are closed
  the program asks whether more pages are to be scanned
  (removed the superfluous Lock Scan Dialog option)
- Convert 32 bpp images to 24 bpp when sending them to the
  printer; this because the alpha component is interpreted
  by some printers even if it's not an image with alpha channel
  
3.9.7 (March 27th 2012)

- The zoom selection box is now working as expected when
  canceling the zoom level selection by pressing ESC or
  clicking outside the selection box

3.9.5 (February 27th 2012)

- Better and faster printing for low-resolution images
  (1bpp, 4bpp, 8bpp and 16bpp)
- Updated toolbar min. width calculation

3.9.0 (December 20th 2011)

- Reduced dialogs and resources
- Fixed randomness for slideshow in random mode

3.7.0 (November 8th 2011)

- Rename command (F2 key)
- String and other fixes
- Dropped memory mapped BMP support
  (today's PC have enough RAM)

3.5.5 (October 10th 2011)

- No changes (be in sync with ContaCam version)

3.5.0 (September 13th 2011)

- Fixed Xmp metadata reading, sometimes this caused a
  really slow loading of jpeg or tiff files
- Animated gifs are now displaying in high quality when
  that setting is chosen
- libpng updated to 1.2.46

3.3.0 (August 15th 2011)

- Optimized installer size and removed installer CRC check
  because it can fail on network shares
- Fixed background color popup not displaying correctly bug
  appeared with version 3.1.0 and affecting the unicode
  executable running under Win 2003, XP and Win 2000 
- Enhanced the Paste command
- Fixed Preview Display not showing correctly bug
  for small sizes on Windows 7
- Added a Cut operation to the Crop/Copy/Cut command

3.1.0 (July 5th 2011)

- New compile with MFC security update (MS11-025 and KB2538241)

3.0.0 (May 9th 2011)

- Fixed W/H ratio info display for the crop tool with cm units
- Optimized first picture soft load
- Main window and File Info dialogs are restored to the
  primary monitor if the last position is on a invalid monitor
  (for example after the removal of a video projector)
- Enhanced translations
- Added some codecs

2.3.9 (March 12th 2011)

- Fixed playing problems for audio files with really long path
- Fixed Loading... keeps occasionally showing in file open dialog
- Fixed animated gif preview problems in file open dialog for
  big files with many frames
- German translation

2.3.5 (February 18th 2011)

- Standalone version is now clean: it will not create
  a directory in the user's application data folder
- View image location in Google Map

2.3.0 (January 13th 2011)

- Open in full-screen settings option
- Possibility to play slideshow in random order

2.1.0 (October 27th 2010)

- More robust thread start/stop logic

2.0.9 (September 24th 2010)

- libpng updated to 1.2.44
  
2.0.7 (August 12th 2010)

- Added touch screen gestures support for zoom in/out
  and for next/previous picture
- Fixed batch processing when input and output files
  have overlapping names in same directory
  -> reorder in same directory now works as expected!
- Translation fixes
- libpng updated to 1.2.43
- Help command for paste into coordinates file
- Fixed crash under Vista or higher when multiple avi
  are open and full-screen mode is entered with DirectX

2.0.5 (May 17th 2010)

- Translation fixes
- YUV Blt() support check
 
2.0.1 (April 8th 2010)

- Fixed brightness, contrast,... preview display size
  for pictures with a larger size than the screen
 
2.0.0 (March 18th 2010)

- Some optimisations
- View's toolbar repainting bug fixed
- Integrated codecs (lossless, mjpeg, theora and vorbis)
- Crop/Copy fix for images with transparency

1.9.7 (September 3rd 2009)

- Multi language support: Russian and Italian translations
- Solved batch processing animated gifs and saving with
  another extension bug
- Save new picture remembers last used file type
- Crop/Copy rectangle... supports rectangular selection
- Tiff loading is more fault tolerant
- Installer supports file association command line params:
  for example /jpg=1 to associate and /jpg=0 to unassociate
  jpeg files. Use the names found under File - Settings...
  There is also /all=1 and /all=0 to associate/unassociate
  all file types
- Starting from Win2000 installer supports a force application
  close parameter: /kill=1

1.9.5 (May 12th 2009)

- Paste Into with different corners and coordinates txt file
- Bmp loading is more fault tolerant
- New dialog bug fix
- Fixed wrong loading of 2bpp pngs with transparency
- Fixed ANSI chars conversion problems in Win95 and NT4
- Added a Save As... toolbar button
- Added Next / Previous Page / Frame toolbar buttons
- Fixed the no printing to big formats (like A1 or A0) bug
- When unchecking Fit in Print Preview then 100% is set now
- In Batch Proc./Slideshow dialog enhanced the speed and the
  stability of the output directory size calculation and
  of the files count

1.9.0 (November 12th 2008)

- Jpeg loading is more fault tolerant
- Since Windows Vista mplay32.exe has been removed.
  FreeVimager can now be used to play a sound and close itself
  when done like mplay32.exe used to do with the /play and
  the /close command line options. Additionally there is a /hide
  switch to hide the program window.
- Preview Display dialog added different zoom factors and
  corners for precise paste into
- New command for empty paper creation
- Print cancel button is responsive now
- New Save As Pdf command 

1.7.0 (June 10th 2008)

- Current directory always set to the program's directory
  to avoid locking the directory from which we double-clicked
- Standalone application stores now settings in an INI file
- Date Taken Shift under batch processing

1.5.5 (March 9th 2008)

- SSE optimized bicubic interpolation. Printing uses now
  this method (before it used the bilinear method)
- Lanczos resampling
- Menu entry in full-screen to switch to next or previous
  monitors
- Rotate toolbar icon
- Scan to PDF and scan to TIFF now remembers the last used
  file path
- Fixed the OSD not following when switching monitor
- Fixed the no correct view update when switching to a
  monitor with a different resolution
- New preview display with alpha transparency and Paste Into
- Paste Into right-click context menu entry
- Fixed grayscale command for images with transparency
- Palette edit dialog for 8 bpp or less images
- Count Unique Colors menu entry
- Soften dialog with different levels of softness
- Double-click switchable coordinate units (px, cm and inch)
- Print preview fits to the printer margin if Margin is
  checked and to the printer page if Margin is not checked
- Convert to red with alpha channel from the grayscale levels
  (useful to convert black text on white background to text with
  transparency; change to another color with the hue regulator)

1.5.0 (February 1st 2008)

- Solved a zip extraction problem when a file or a directory
  do not have the right attributes
- New settings dialog under the File menu: single instance,
  tray icon and other parameters
- Histogram under brightness, contrast, ... regulators
- Redeye removal algorithm enhanced: supports big redeyes,
  hue range regulation and manual mask pixels add / remove
- Under the View menu added the No Borders command to
  enable / disable borders around images
- Moved the Close All menu entry from the File menu to the
  Window menu
- Audio CD player (cda file extension)
- New FAQs menu entry under the Help menu
- Under Vista the installer runs as admin,
  but launches now FreeVimager as a normal user

1.3.0 (September 5th 2007)

- This is a stable release with many fixes
  and optimizations
- Improved Windows Vista compatibility
  (runs well with UAC enabled)
- Batch processing file list load / save uses
  now a UTF8 (with BOM) text file
- CD / DVD  slideshow remembers OSD settings
- Fixed zip compression file names bug on UNICODE build
- Fixed autorun.inf writing bug on UNICODE build
- In full-screen use the TAB key to flip the image to the
  next monitor, SHIFT + TAB to flip to the previous one

1.1.0 (May 4th 2007)

- Solved the empty Gif Extension crashes the program
  (Bugzilla Bug#2)
- Solved the chessboard transition Bug: FreeVimager
  crashed with small images
- Scan to Multi-Page Tiff, to Pdf and E-Mail it
- Tiff Metadata write is now lossless
- Store Zoom preferences
- Batch processing can output to Animated Gif,
  to Avi, to Multi-Page Tiff or to Pdf
  OCR Txt output if Office 2003 or higher installed
- Do not change Date Modified when doing a lossless
  jpeg rotation
- CD / DVD  slideshow remembers now slideshow delay,
  transition type and zoom mode
- Added Icc Profile View to File Info dialog

1.0.0 (March 2nd 2007)

- first public release
- gps exif tags support
- enhanced iptc and xmp batch support

0.9.9 (November 9th 2006)

- iptc and xmp read, write and batch support
- solved metadata copy problem
  between tiffs and from jpeg to tiff
- on-screen display in full-screen mode

0.9.7 (August 31st 2006)

- Save Copy As... file menu entry
- Negative edit menu entry
- Add and Soft Borders edit menu entries
- metadata copy with tiff (still some problems with exif)
- show tiff exif data

0.9.5 (July 20th 2006)

- big bmp menu entry removed added check box in open dlg
- new batch / slideshow dialog
- alpha channel editing support (only png files)
- picture sharpen and soften added
- better quality picture shrinking and thumb preview creation
- first tutorial explaning the slideshow creation
- avi file player full-screen size outside monitor borders
- avi player supports direct rendering of YUY2 and YV12 surfaces
- avi player decodes many YUV formats

0.9.3 (March 24th 2006)

- stable and smooth running
- big bmp files support through memory mapped Bmps
  (new menu entry added)
- batch shrink / email sending improved with dedicated thread
- support to burn with Nero API and on Windows XP with native API
  (Nero APIs are the preferred choice because XP APIs are not
  that reliable and mature)

0.9.1 (February 24th 2006)

- fixed crashing when selecting other extension while saving
  (only with new comctl32 version 6)
- added run program when finished installing
- first time the program runs the File Association dialog pops-up
- unicode Support For File Loading/Saving
- fixed mouse pointer blocking some seconds with big jpeg files
- added HQ stretch

0.9.0 (February 4th 2006)

- first release to close friends
